Apache Commons logo Commons VFS

Reactor Dependency Convergence

Legend:
[Error]
At least one dependency has a differing version of the dependency or has SNAPSHOT dependencies.

Statistics:
Number of modules: 6
Number of dependencies (NOD): 257
Number of unique artifacts (NOA): 297
Number of version-conflicting artifacts (NOC): 12
Number of SNAPSHOT artifacts (NOS): 0
Convergence (NOD/NOA):
[Error]
 86 %
Ready for release (100% convergence and no SNAPSHOTS):
[Error]
 Error
You do not have 100% convergence.

Dependencies used in modules

com.fasterxml.jackson.core:jackson-annotations

[Error]
2.9.0
  1. org.apache.commons:commons-vfs2-distribution:pom:2.6.0
    \- org.apache.commons:commons-vfs2:jar:2.6.0:compile
       \- org.apache.hadoop:hadoop-hdfs-client:jar:3.2.1:compile
          \- com.fasterxml.jackson.core:jackson-databind:jar:2.9.8:compile
             \- (com.fasterxml.jackson.core:jackson-annotations:jar:2.9.0:compile - omitted for conflict with 2.9.8)

  2. org.apache.commons:commons-vfs2-examples:jar:2.6.0
    \- org.apache.commons:commons-vfs2:jar:2.6.0:compile
       \- org.apache.hadoop:hadoop-hdfs-client:jar:3.2.1:compile
          \- com.fasterxml.jackson.core:jackson-databind:jar:2.9.8:compile
             \- (com.fasterxml.jackson.core:jackson-annotations:jar:2.9.0:compile - omitted for conflict with 2.9.8)

  3. org.apache.commons:commons-vfs2-jackrabbit1:jar:2.6.0
    \- org.apache.commons:commons-vfs2:jar:2.6.0:compile
       \- org.apache.hadoop:hadoop-hdfs-client:jar:3.2.1:compile
          \- com.fasterxml.jackson.core:jackson-databind:jar:2.9.8:compile
             \- (com.fasterxml.jackson.core:jackson-annotations:jar:2.9.0:compile - omitted for conflict with 2.9.8)

  4. org.apache.commons:commons-vfs2-jackrabbit2:jar:2.6.0
    \- org.apache.commons:commons-vfs2:jar:2.6.0:compile
       \- org.apache.hadoop:hadoop-hdfs-client:jar:3.2.1:compile
          \- com.fasterxml.jackson.core:jackson-databind:jar:2.9.8:compile
             \- (com.fasterxml.jackson.core:jackson-annotations:jar:2.9.0:compile - omitted for conflict with 2.9.8)

  5. org.apache.commons:commons-vfs2:jar:2.6.0
    \- org.apache.hadoop:hadoop-hdfs-client:jar:3.2.1:compile
       \- com.fasterxml.jackson.core:jackson-databind:jar:2.9.8:compile
          \- (com.fasterxml.jackson.core:jackson-annotations:jar:2.9.0:compile - omitted for conflict with 2.9.8)

2.9.8
  1. org.apache.commons:commons-vfs2-distribution:pom:2.6.0
    \- org.apache.commons:commons-vfs2:jar:2.6.0:compile
       \- org.apache.hadoop:hadoop-hdfs-client:jar:3.2.1:compile
          \- com.fasterxml.jackson.core:jackson-annotations:jar:2.9.8:compile

  2. org.apache.commons:commons-vfs2-examples:jar:2.6.0
    \- org.apache.commons:commons-vfs2:jar:2.6.0:compile
       \- org.apache.hadoop:hadoop-hdfs-client:jar:3.2.1:compile
          \- com.fasterxml.jackson.core:jackson-annotations:jar:2.9.8:compile

  3. org.apache.commons:commons-vfs2-jackrabbit1:jar:2.6.0
    \- org.apache.commons:commons-vfs2:jar:2.6.0:compile
       \- org.apache.hadoop:hadoop-hdfs-client:jar:3.2.1:compile
          \- com.fasterxml.jackson.core:jackson-annotations:jar:2.9.8:compile

  4. org.apache.commons:commons-vfs2-jackrabbit2:jar:2.6.0
    \- org.apache.commons:commons-vfs2:jar:2.6.0:compile
       \- org.apache.hadoop:hadoop-hdfs-client:jar:3.2.1:compile
          \- com.fasterxml.jackson.core:jackson-annotations:jar:2.9.8:compile

  5. org.apache.commons:commons-vfs2:jar:2.6.0
    \- org.apache.hadoop:hadoop-hdfs-client:jar:3.2.1:compile
       \- com.fasterxml.jackson.core:jackson-annotations:jar:2.9.8:compile

2.9.9
  1. org.apache.commons:commons-vfs2-jackrabbit2:jar:2.6.0
    \- org.apache.jackrabbit:jackrabbit-standalone-components:jar:2.19.6:test
       \- org.apache.tika:tika-parsers:jar:1.22:test
          \- (com.fasterxml.jackson.core:jackson-annotations:jar:2.9.9:test - omitted for conflict with 2.9.8)

com.fasterxml.jackson.core:jackson-databind

[Error]
2.9.8
  1. org.apache.commons:commons-vfs2-jackrabbit2:jar:2.6.0
    \- org.apache.commons:commons-vfs2:jar:2.6.0:compile
       \- org.apache.hadoop:hadoop-hdfs-client:jar:3.2.1:compile
          \- com.fasterxml.jackson.core:jackson-databind:jar:2.9.8:compile

2.9.9.1
  1. org.apache.commons:commons-vfs2-jackrabbit2:jar:2.6.0
    \- org.apache.jackrabbit:jackrabbit-standalone-components:jar:2.19.6:test
       \- org.apache.tika:tika-parsers:jar:1.22:test
          \- (com.fasterxml.jackson.core:jackson-databind:jar:2.9.9.1:test - omitted for conflict with 2.9.8)

com.google.code.findbugs:jsr305

[Error]
3.0.0
  1. org.apache.commons:commons-vfs2:jar:2.6.0
    \- org.apache.hadoop:hadoop-common:test-jar:tests:3.2.1:test
       \- com.google.code.findbugs:jsr305:jar:3.0.0:test

3.0.2
  1. org.apache.commons:commons-vfs2:jar:2.6.0
    \- org.apache.hadoop:hadoop-common:test-jar:tests:3.2.1:test
       \- com.google.guava:guava:jar:27.0-jre:test
          \- (com.google.code.findbugs:jsr305:jar:3.0.2:test - omitted for conflict with 3.0.0)

com.google.guava:guava

[Error]
16.0.1
  1. org.apache.commons:commons-vfs2:jar:2.6.0
    \- org.apache.hadoop:hadoop-common:test-jar:tests:3.2.1:test
       \- org.apache.curator:curator-client:jar:2.13.0:test
          \- (com.google.guava:guava:jar:16.0.1:test - omitted for conflict with 27.0-jre)

27.0-jre
  1. org.apache.commons:commons-vfs2:jar:2.6.0
    +- org.apache.hadoop:hadoop-common:test-jar:tests:3.2.1:test
    |  +- com.google.guava:guava:jar:27.0-jre:test
    |  \- org.apache.hadoop:hadoop-auth:jar:3.2.1:test
    |     \- (com.google.guava:guava:jar:27.0-jre:test - omitted for duplicate)
    \- org.apache.hadoop:hadoop-hdfs:test-jar:tests:3.2.1:test
       \- (com.google.guava:guava:jar:27.0-jre:test - omitted for duplicate)

com.nimbusds:nimbus-jose-jwt

[Error]
3.10
  1. org.apache.commons:commons-vfs2:jar:2.6.0
    \- org.apache.hadoop:hadoop-common:test-jar:tests:3.2.1:test
       \- org.apache.kerby:kerb-simplekdc:jar:1.0.1:test
          \- org.apache.kerby:kerb-client:jar:1.0.1:test
             \- org.apache.kerby:token-provider:jar:1.0.1:test
                \- (com.nimbusds:nimbus-jose-jwt:jar:3.10:test - omitted for conflict with 4.41.1)

4.41.1
  1. org.apache.commons:commons-vfs2:jar:2.6.0
    \- org.apache.hadoop:hadoop-common:test-jar:tests:3.2.1:test
       \- org.apache.hadoop:hadoop-auth:jar:3.2.1:test
          \- com.nimbusds:nimbus-jose-jwt:jar:4.41.1:test

commons-codec:commons-codec

[Error]
1.11
  1. org.apache.commons:commons-vfs2-distribution:pom:2.6.0
    \- org.apache.commons:commons-vfs2-examples:jar:2.6.0:compile
       \- org.apache.httpcomponents:httpclient:jar:4.5.10:runtime
          \- (commons-codec:commons-codec:jar:1.11:runtime - omitted for conflict with 1.2)

  2. org.apache.commons:commons-vfs2-examples:jar:2.6.0
    \- org.apache.httpcomponents:httpclient:jar:4.5.10:runtime
       \- (commons-codec:commons-codec:jar:1.11:runtime - omitted for conflict with 1.2)

  3. org.apache.commons:commons-vfs2-jackrabbit1:jar:2.6.0
    \- org.apache.httpcomponents:httpclient:jar:4.5.10:compile
       \- (commons-codec:commons-codec:jar:1.11:compile - omitted for conflict with 1.2)

  4. org.apache.commons:commons-vfs2-jackrabbit2:jar:2.6.0
    \- org.apache.httpcomponents:httpclient:jar:4.5.10:compile
       \- commons-codec:commons-codec:jar:1.11:compile

  5. org.apache.commons:commons-vfs2:jar:2.6.0
    +- org.apache.httpcomponents:httpclient:jar:4.5.10:compile
    |  \- (commons-codec:commons-codec:jar:1.11:compile - omitted for conflict with 1.2)
    +- org.apache.hadoop:hadoop-common:test-jar:tests:3.2.1:test
    |  +- (commons-codec:commons-codec:jar:1.11:test - omitted for conflict with 1.2)
    |  \- org.apache.hadoop:hadoop-auth:jar:3.2.1:test
    |     \- (commons-codec:commons-codec:jar:1.11:test - omitted for conflict with 1.2)
    \- org.apache.hadoop:hadoop-hdfs:test-jar:tests:3.2.1:test
       \- (commons-codec:commons-codec:jar:1.11:test - omitted for conflict with 1.2)

1.12
  1. org.apache.commons:commons-vfs2-distribution:pom:2.6.0
    \- org.apache.commons:commons-vfs2-examples:jar:2.6.0:compile
       \- org.apache.httpcomponents.client5:httpclient5:jar:5.0-beta6:runtime
          \- (commons-codec:commons-codec:jar:1.12:runtime - omitted for conflict with 1.2)

  2. org.apache.commons:commons-vfs2-examples:jar:2.6.0
    \- org.apache.httpcomponents.client5:httpclient5:jar:5.0-beta6:runtime
       \- (commons-codec:commons-codec:jar:1.12:runtime - omitted for conflict with 1.2)

  3. org.apache.commons:commons-vfs2-jackrabbit2:jar:2.6.0
    \- org.apache.jackrabbit:jackrabbit-standalone-components:jar:2.19.6:test
       \- org.apache.tika:tika-parsers:jar:1.22:test
          \- (commons-codec:commons-codec:jar:1.12:test - omitted for conflict with 1.11)

  4. org.apache.commons:commons-vfs2:jar:2.6.0
    \- org.apache.httpcomponents.client5:httpclient5:jar:5.0-beta6:compile
       \- (commons-codec:commons-codec:jar:1.12:compile - omitted for conflict with 1.2)

1.2
  1. org.apache.commons:commons-vfs2-distribution:pom:2.6.0
    \- org.apache.commons:commons-vfs2-examples:jar:2.6.0:compile
       \- commons-httpclient:commons-httpclient:jar:3.1:runtime
          \- commons-codec:commons-codec:jar:1.2:runtime

  2. org.apache.commons:commons-vfs2-examples:jar:2.6.0
    \- commons-httpclient:commons-httpclient:jar:3.1:runtime
       \- commons-codec:commons-codec:jar:1.2:runtime

  3. org.apache.commons:commons-vfs2-jackrabbit1:jar:2.6.0
    \- commons-httpclient:commons-httpclient:jar:3.1:compile
       \- commons-codec:commons-codec:jar:1.2:compile

  4. org.apache.commons:commons-vfs2:jar:2.6.0
    \- commons-httpclient:commons-httpclient:jar:3.1:compile
       \- commons-codec:commons-codec:jar:1.2:compile

org.apache.commons:commons-vfs2

[Error]
2.1
  1. org.apache.commons:commons-vfs2:jar:2.6.0
    \- org.apache.hadoop:hadoop-common:test-jar:tests:3.2.1:test
       \- (org.apache.commons:commons-vfs2:jar:2.1:test - omitted for cycle)

2.6.0
  1. org.apache.commons:commons-vfs2:jar:2.6.0

org.apache.httpcomponents:httpmime

[Error]
4.5.10
  1. org.apache.commons:commons-vfs2-jackrabbit2:jar:2.6.0
    \- org.apache.jackrabbit:jackrabbit-standalone-components:jar:2.19.6:test
       \- org.apache.jackrabbit:jackrabbit-jcr2dav:jar:2.19.6:test
          \- org.apache.jackrabbit:jackrabbit-spi2dav:jar:2.19.6:test
             \- (org.apache.httpcomponents:httpmime:jar:4.5.10:test - omitted for conflict with 4.5.9)

4.5.9
  1. org.apache.commons:commons-vfs2-jackrabbit2:jar:2.6.0
    \- org.apache.jackrabbit:jackrabbit-standalone-components:jar:2.19.6:test
       \- org.apache.tika:tika-parsers:jar:1.22:test
          \- org.apache.httpcomponents:httpmime:jar:4.5.9:test

org.apache.zookeeper:zookeeper

[Error]
3.4.13
  1. org.apache.commons:commons-vfs2:jar:2.6.0
    \- org.apache.hadoop:hadoop-common:test-jar:tests:3.2.1:test
       +- org.apache.hadoop:hadoop-auth:jar:3.2.1:test
       |  \- (org.apache.zookeeper:zookeeper:jar:3.4.13:test - omitted for duplicate)
       \- org.apache.zookeeper:zookeeper:jar:3.4.13:test

3.4.8
  1. org.apache.commons:commons-vfs2:jar:2.6.0
    \- org.apache.hadoop:hadoop-common:test-jar:tests:3.2.1:test
       \- org.apache.curator:curator-client:jar:2.13.0:test
          \- (org.apache.zookeeper:zookeeper:jar:3.4.8:test - omitted for conflict with 3.4.13)

org.codehaus.jackson:jackson-core-asl

[Error]
1.9.13
  1. org.apache.commons:commons-vfs2:jar:2.6.0
    \- org.apache.hadoop:hadoop-common:test-jar:tests:3.2.1:test
       \- org.apache.avro:avro:jar:1.7.7:test
          \- (org.codehaus.jackson:jackson-core-asl:jar:1.9.13:test - omitted for conflict with 1.9.2)

1.9.2
  1. org.apache.commons:commons-vfs2:jar:2.6.0
    \- org.apache.hadoop:hadoop-common:test-jar:tests:3.2.1:test
       \- com.sun.jersey:jersey-json:jar:1.19:test
          +- org.codehaus.jackson:jackson-core-asl:jar:1.9.2:test
          +- org.codehaus.jackson:jackson-mapper-asl:jar:1.9.2:test
          |  \- (org.codehaus.jackson:jackson-core-asl:jar:1.9.2:test - omitted for duplicate)
          +- org.codehaus.jackson:jackson-jaxrs:jar:1.9.2:test
          |  \- (org.codehaus.jackson:jackson-core-asl:jar:1.9.2:test - omitted for duplicate)
          \- org.codehaus.jackson:jackson-xc:jar:1.9.2:test
             \- (org.codehaus.jackson:jackson-core-asl:jar:1.9.2:test - omitted for duplicate)

org.codehaus.jackson:jackson-mapper-asl

[Error]
1.9.13
  1. org.apache.commons:commons-vfs2:jar:2.6.0
    \- org.apache.hadoop:hadoop-common:test-jar:tests:3.2.1:test
       \- org.apache.avro:avro:jar:1.7.7:test
          \- (org.codehaus.jackson:jackson-mapper-asl:jar:1.9.13:test - omitted for conflict with 1.9.2)

1.9.2
  1. org.apache.commons:commons-vfs2:jar:2.6.0
    \- org.apache.hadoop:hadoop-common:test-jar:tests:3.2.1:test
       \- com.sun.jersey:jersey-json:jar:1.19:test
          +- org.codehaus.jackson:jackson-mapper-asl:jar:1.9.2:test
          +- org.codehaus.jackson:jackson-jaxrs:jar:1.9.2:test
          |  \- (org.codehaus.jackson:jackson-mapper-asl:jar:1.9.2:test - omitted for duplicate)
          \- org.codehaus.jackson:jackson-xc:jar:1.9.2:test
             \- (org.codehaus.jackson:jackson-mapper-asl:jar:1.9.2:test - omitted for duplicate)

org.slf4j:slf4j-api

[Error]
1.5.11
  1. org.apache.commons:commons-vfs2-jackrabbit1:jar:2.6.0
    \- org.slf4j:slf4j-api:jar:1.5.11:test (scope not updated to compile)

1.7.26
  1. org.apache.commons:commons-vfs2-jackrabbit1:jar:2.6.0
    +- org.apache.jackrabbit:jackrabbit-webdav:jar:1.6.5:compile
    |  \- (org.slf4j:slf4j-api:jar:1.7.26:compile - version managed from 1.5.3; omitted for conflict with 1.5.11)
    +- org.slf4j:slf4j-log4j12:jar:1.5.11:test
    |  \- (org.slf4j:slf4j-api:jar:1.7.26:test - version managed from 1.5.11; omitted for conflict with 1.5.11)
    \- org.slf4j:jcl-over-slf4j:jar:1.5.11:test
       \- (org.slf4j:slf4j-api:jar:1.7.26:test - version managed from 1.5.11; omitted for conflict with 1.5.11)